using SolarPower.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace SolarPower.Repository.Interface
{
    public interface IStationReportRepository : IRepositoryBase<StationReport>
    {
        Task<List<string>> GetInverterId(string DBname, Select_table post);
        Task<dynamic> Gettablebody(Select_table post);
        Task<List<Landinfo>> GetHire(PsIdAndSiteDB post);
        Task<List<MaxFormbody>> GetMaxtablebody(Select_table2 post);
        Task<dynamic> Findhaveinv(Select_table post);
        Task<int> CheckExcelAsync(Select_table post);
        Task<string> GetCompanyNameByPowerStationId(int powerStationId);
    }
}
